import React from "react";

import "./burgerButton.scss";

export const BurgerButton = ({ active, setActive }) => {
  const toggleBar = () => {
    if (active) {
      setActive(false);
      document.body.style.overflow = "auto";
    } else {
      setActive(true);
      document.body.style.overflow = "hidden";
    }
  };

  return (
    <div className="burger-button" onClick={() => toggleBar()}>
      <div className="burger">
        <div
          className={active ? "burger__line  l1 change" : "burger__line"}
        ></div>
        <div
          className={active ? "burger__line  l2 change" : "burger__line"}
        ></div>
        <div
          className={active ? "burger__line  l3 change" : "burger__line"}
        ></div>
      </div>
      <h3 className="burger-button__logo">меню</h3>
    </div>
  );
};
