import React from "react";

import { Footer } from "@components/Common/Footer/Footer";
import { EmptyBlock } from "@components/EmptyBlock/EmptyBlock";
import { Navigation } from "@components/Navigation/Navigation";
import { ProfileBreadcrumbs } from "@components/ProfileBreadcrumbs/ProfileBreadcrumbs";
import { ProfileHeader } from "@components/ProfileHeader/ProfileHeader";

import "./payouts.scss";

export const Payouts = () => {
  return (
    <div className="payouts">
      <ProfileHeader />
      <Navigation />
      <div className="container">
        <ProfileBreadcrumbs
          links={[
            { name: "Главная", link: "/profile" },
            { name: "Выплаты и финансы ", link: "/profile/payouts" }
          ]}
        />
        <h3 className="payouts__title">Выплаты и финансы </h3>
        <EmptyBlock />
      </div>
      <Footer />
    </div>
  );
};
