import React from "react";
import { Link } from "react-router-dom";

import empty from "assets/images/emptyPage.svg";

import "./emptyBlock.scss";

export const EmptyBlock = () => {
  return (
    <>
      <div className="empty-block">
        <h4 className="empty-block__title">
          Данная страница находится в разработке
        </h4>
        <Link className="empty-block__back" to="/profile">
          На главную
        </Link>
      </div>
      <img src={empty} alt="img" className="empty-block__img" />
    </>
  );
};
